add_namespace = influence
add_namespace = News_influence

### Influence Action Events ###
# Economic Aid Master event
# Determines SIZE of gift
country_event = {
	id = influence.0
	is_triggered_only = yes
	hidden = yes
	immediate = {
		log = "[GetDateText]: [This.GetName]: influence.11.a executed"
		set_variable = { gift_sum = debt }
		multiply_variable = { gift_sum = 0.05 }
		clamp_variable = { var = gift_sum min = 1 max = 5000 } # Max Gift Amount Period
		# event_target is set in the targeting scope
		event_target:influence_sender = { country_event = { id = influence.1 } }
	}
}

# Economic Aid - Event
# Do we send it to the nation?
country_event = {
	id = influence.1
	title = influence.1.t
	desc = influence.1.d
	picture = GFX_united_states_dollar
	is_triggered_only = yes

	#Give it
	option = {
		name = influence.1.a
		log = "[GetDateText]: [This.GetName]: influence.1.a executed"

		custom_effect_tooltip = influence_0_TT
		subtract_from_variable = { treasury = FROM.gift_sum }
		FROM = {
			effect_tooltip = {
				custom_effect_tooltip = accept_money
				set_temp_variable = { percent_change = 3 }
				set_temp_variable = { tag_index = ROOT.id }
				set_temp_variable = { influence_target = THIS.id }
				change_influence_percentage = yes
				reverse_add_opinion_modifier = { target = FROM modifier = given_gift }
			}

			country_event = { id = News_influence.0 }
		}

		ai_chance = {
			factor = 1
			modifier = {
				add = 1
				ai_has_same_organization = yes
			}
			modifier = {
				factor = 2
				OR = {
					FROM = { check_variable = { interest_rate > 15.0 } }
					FROM = { check_variable = { debt_ratio > 0.99 } }
				}
			}
			# Fail Safe Commands
			modifier = {
				factor = 0
				OR = {
					check_variable = { interest_rate < 15.00 }
					check_variable = { debt_ratio < 2.00 }
				}
			}
		}
	}

	#Let's not bother
	option = {
		name = influence.1.b
		log = "[GetDateText]: [This.GetName]: influence.1.b executed"
		FROM = { ROOT = { clr_country_flag = recently_sent_aid@PREV } }

		# AI Section
		ai_chance = {
			factor = 0.25
			modifier = {
				add = 1
				ai_has_same_organization = no
			}
			modifier = {
				factor = 2
				OR = {
					check_variable = { interest_rate < 15.00 }
					check_variable = { debt_ratio < 2.00 }
				}
			}
		}
	}
}

# Target Nation
# Do we accept FROM economic Aid?
country_event = {
	id = News_influence.0
	title = News_influence.0.t
	desc = News_influence.0.d
	picture = GFX_united_states_dollar
	is_triggered_only = yes

	# Accept the Aid
	option = {
		name = News_influence.0.a
		log = "[GetDateText]: [This.GetName]: News_influence.0.a executed"
		custom_effect_tooltip = influence_from_0_TT
		add_to_variable = { treasury = gift_sum } # Adds Gift Sum
		set_temp_variable = { percent_change = 2 }
		set_temp_variable = { tag_index = FROM.id }
		set_temp_variable = { influence_target = THIS.id }
		change_influence_percentage = yes
		add_opinion_modifier = { target = FROM modifier = given_gift }
		# Generic Response
		FROM = { country_event = { id = diplomatic_response.1 } }
		# AI Section
		ai_chance = {
			factor = 5 # Weighted to prefer it
			# Higher Likelihood if in the same organization
			modifier = {
				factor = 1.25
				ai_has_same_organization = yes
			}
			# Lower GDP nations accept
			modifier = {
				factor = 3
				check_variable = { gdp_per_capita < 15.000 }
			}
			# If they have lower domestic influence trigger fight or flight
			modifier = {
				set_temp_variable = { domestic_influence_amount_tmp = domestic_influence_amount }
				divide_temp_variable = { domestic_influence_amount_tmp = 100 }
				factor = domestic_influence_amount_tmp
			}
			# Massive Nations such as USA/China should be less likely to take on Economic Aid
			modifier = {
				factor = 0.75
				OR = {
					has_idea = superpower
					has_idea = great_power
				}
			}
			# Killswitch
			# Do not accept under any of these conditions
			modifier = {
				factor = 0
				OR = {
					check_variable = { interest_rate < 5.50 }
					check_variable = { debt_ratio < 1.00 }
				}
			}
		}
	}

	# Reject Influencer Nation
	option = {
		name = News_influence.0.b
		log = "[GetDateText]: [This.GetName]: News_influence.0.b executed"
		# Bonus of PP for the first rejection after this you need to wait 90 days
		if = {
			limit = { NOT = { has_country_flag = recently_refused_aid } }
			add_political_power = 100
			set_country_flag = { flag = recently_refused_aid value = 1 days = 180 }
			else = {
				custom_effect_tooltip = recently_refused_economic_aid_tt
			}
		}

		set_temp_variable = { arg_popularity = 0.02 }
		add_ruling_outlook_popularity = yes

		# Returns Funds to the Influencer Nation
		FROM = {
			custom_effect_tooltip = influence_from_0_TT
			add_to_variable = { treasury = PREV.gift_sum }
			country_event = { id = diplomatic_response.2 }
		}
		ai_chance = {
			factor = 1
			# If they have lower domestic influence trigger fight or flight
			modifier = {
				set_temp_variable = { domestic_influence_amount_tmp = domestic_influence_amount }
				divide_temp_variable = { domestic_influence_amount_tmp = 10 }
				factor = domestic_influence_amount_tmp
			}
			# If Superpower or Major Power
			# Reject if needed
			modifier = {
				factor = 3
				OR = {
					has_idea = superpower
					has_idea = great_power
				}
			}
			# Nationalists should try and reject whenever they get it
			modifier = {
				factor = 5
				has_government = nationalist
			}
			# Autocrats and Totalitarians will try and avoid it
			modifier = {
				has_autocratic_government_or_in_coalition = yes
				factor = 2.50
			}
			modifier = {
				has_totalitarian_government_or_in_coalition = yes
				factor = 5
			}
			# Opinion Section
			# If the AI has a low opinion be more likely to reject
			modifier = {
				check_variable = { ROOT.opinion@FROM < 0 }
				set_temp_variable = { opinion_calculator = ROOT.opinion@FROM }
				multiply_temp_variable = { opinion_calculator = -0.05 }
				factor = opinion_calculator
			}
			# Rejection Killswitch
			modifier = {
				factor = 0
				OR = {
					check_variable = { debt_ratio > 1.50 }
					has_idea = bankrupcy
					has_country_flag = AI_economic_downspiral
					check_variable = { interest_rate > 15.000 }
					is_subject_of = FROM
				}
			}
		}
	}
}

# Target Other Influencer
country_event = {
	id = influence.22
	title = influence.3.t
	is_triggered_only = yes
	hidden = yes

	immediate = {
		event_target:influence_sender = { country_event = { id = influence.3 } }
	}
}

#Target Influences
country_event = {
	id = influence.3
	title = influence.3.t
	desc = influence.3.d
	picture = GFX_politics_surveillence
	is_triggered_only = yes

	#Target domestic influence
	option = {
		name = influence.3.a
		log = "[GetDateText]: [This.GetName]: influence.3.a executed"

		FROM = {
			news_event = { id = News_influence.2 }
			set_temp_variable = { percent_change = -2 }
			change_domestic_influence_percentage = yes
			effect_tooltip = {
				add_opinion_modifier = { target = PREV modifier = attacked_our_influence }
			}
		}

		set_temp_variable = { percent_change = -1 }
		set_temp_variable = { tag_index = THIS.id }
		set_temp_variable = { influence_target = FROM.id }
		change_influence_percentage = yes

		add_political_power = -100

		ai_chance = {
			factor = 11
		}
	}

	#Target biggest influencer
	option = {
		name = influence.3.b
		log = "[GetDateText]: [This.GetName]: influence.3.b executed"
		trigger = {
			FROM = {
				has_variable = influence_array^0
				NOT = {
					check_variable = { influence_array^0 = ROOT }
				}
			}
		}
		ai_chance = {
			factor = 10
		}

		var:FROM.influence_array^0 = { news_event = { id = News_influence.1 } }

		FROM = {
			set_temp_variable = { percent_change = -2 }
			set_temp_variable = { influencer_index = 0 }
			change_current_influencer_index_percentage = yes
		}

		add_political_power = -100
	}
	#Target 2nd biggest influencer
	option = {
		name = influence.3.c
		log = "[GetDateText]: [This.GetName]: influence.3.c executed"
		ai_chance = {
			factor = 6
		}
		trigger = {
			FROM = {
				has_variable = influence_array^1
				NOT = {
					check_variable = { influence_array^1 = ROOT }
				}
			}
		}

		set_temp_variable = { percent_change = -1 }
		set_temp_variable = { tag_index = THIS.id }
		set_temp_variable = { influence_target = FROM.id }
		change_influence_percentage = yes

		var:FROM.influence_array^1 = { news_event = { id = News_influence.1 } }

		FROM = {
			set_temp_variable = { percent_change = -2 }
			set_temp_variable = { influencer_index = 1 }
			change_current_influencer_index_percentage = yes
		}

		add_political_power = -100
	}

	#Target 3rd Biggest Influencer
	option = {
		name = influence.3.e
		log = "[GetDateText]: [This.GetName]: influence.3.e executed"
		ai_chance = {
			factor = 3
		}
		trigger = {
			FROM = {
				has_variable = influence_array^2
				NOT = { check_variable = { influence_array^2 = ROOT } }
			}
		}

		# Notification Event
		var:FROM.influence_array^2 = { news_event = { id = News_influence.1 } }

		# Influence Effect
		FROM = {
			set_temp_variable = { percent_change = -2 }
			set_temp_variable = { influencer_index = 2 }
			change_current_influencer_index_percentage = yes
		}

		set_temp_variable = { percent_change = -1 }
		set_temp_variable = { tag_index = THIS.id }
		set_temp_variable = { influence_target = FROM.id }
		change_influence_percentage = yes

		add_political_power = -100
	}
	#Let's not bother
	option = {
		name = influence.3.f
		log = "[GetDateText]: [This.GetName]: influence.3.f executed"
		ai_chance = { factor = 0 }
	}
}

# attacked our influence in another country
news_event = {
	id = News_influence.1
	title = News_influence.1.t
	desc = News_influence.1.d
	picture = GFX_news_crime_fighting
	is_triggered_only = yes


	#yeah...
	option = {
		name = News_influence.1.a
		log = "[GetDateText]: [This.GetName]: News_influence.1.a executed"
		add_opinion_modifier = { target = FROM modifier = attacked_our_influence }
	}
}

# attacked our domestic influence
news_event = {
	id = News_influence.2
	title = News_influence.2.t
	desc = News_influence.2.d
	picture = GFX_news_crime_fighting
	is_triggered_only = yes

	#yeah...
	option = {
		name = News_influence.2.a
		log = "[GetDateText]: [This.GetName]: News_influence.2.a executed"
		add_opinion_modifier = { target = FROM modifier = attacked_our_influence }
	}
}

### Coup the Enemy! ###
# Target
country_event = {
	id = influence.44
	is_triggered_only = yes
	hidden = yes

	immediate = {
		log = "[GetDateText]: [Root.GetName]: event influence.44"
		# Chance of failure for ROOT Coup
		for_loop_effect = {
			end = influence_array_val^num
			if = { limit = { var:influence_array^v = { has_government = democratic } }
				add_to_temp_variable = { influence_democratic = influence_array_val^v }
			}
			else_if = { limit = { var:influence_array^v = { has_government = neutrality } }
				add_to_temp_variable = { influence_neutrality = influence_array_val^v }
			}
			else_if = { limit = { var:influence_array^v = { has_government = communism } }
				add_to_temp_variable = { influence_communism = influence_array_val^v }
			}
			else_if = { limit = { var:influence_array^v = { has_government = nationalist } }
				add_to_temp_variable = { influence_nationalist = influence_array_val^v }
			}
			else_if = { limit = { var:influence_array^v = { has_government = fascism } }
				add_to_temp_variable = { influence_fascism = influence_array_val^v }
			}
		}

		## Coup Failure Rate ##
		# Base failure rate is popularity of the ruling Outlook
		# Higher defending popularity makes coups more difficult
		set_variable = { fail_factor_biggest = party_popularity@ruling_party }

		# Multiply by how much influence in total supports target Outlook (domestic + foreign)
		# Higher domestic and foreign support for defending Outlook makes coups more difficult
		set_temp_variable = { fail_influence_multiplier = domestic_influence_amount }
		if = { limit = { has_government = democratic }
			add_to_temp_variable = { fail_influence_multiplier = influence_democratic }
		}
		else_if = { limit = { has_government = neutrality }
			add_to_temp_variable = { fail_influence_multiplier = influence_neutrality }
		}
		else_if = { limit = { has_government = communism }
			add_to_temp_variable = { fail_influence_multiplier = influence_communism }
		}
		else_if = { limit = { has_government = nationalist }
			add_to_temp_variable = { fail_influence_multiplier = influence_nationalist }
		}
		else_if = { limit = { has_government = fascism }
			add_to_temp_variable = { fail_influence_multiplier = influence_fascism }
		}
		divide_temp_variable = { fail_influence_multiplier = 100 } # Corrects this value to < 1
		add_to_temp_variable = { fail_influence_multiplier = stability }

		multiply_variable = { fail_factor_biggest = fail_influence_multiplier }

		## Coup success rate ##
		# Base success rate is popularity of the attacking Outlook
		# This is multiplied by how much foreign influence there is in support for the attacking Outlook
		if = { limit = { event_target:influence_sender = { has_government = democratic } }
			set_variable = { success_factor_biggest = party_popularity@democratic }

			set_temp_variable = { success_influence_multiplier = influence_democratic }
			divide_temp_variable = { success_influence_multiplier = 100 }
			multiply_variable = { success_factor_biggest = success_influence_multiplier }

			# Storing the biggest party
			set_temp_variable = { prevmax_temp = 0 }
			if = {
				limit = {
					has_variable = party_pop_array^1
					check_variable = { party_pop_array^1 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^1 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^2
					check_variable = { party_pop_array^2 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^2 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^3
					check_variable = { party_pop_array^3 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^3 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^0
					check_variable = { party_pop_array^0 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^0 }
			}

			#Set for highest value
			if = { limit = { check_variable = { prevmax_temp = party_pop_array^1 } }
				set_country_flag = set_conservatism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^2 } }
				set_country_flag = set_liberalism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^3 } }
				set_country_flag = set_socialism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^0 } }
				set_country_flag = set_Western_Autocracy
			}
		}
		else_if = { limit = { event_target:influence_sender = { has_government = neutrality } }
			set_variable = { success_factor_biggest = party_popularity@neutrality }

			set_temp_variable = { success_influence_multiplier = influence_neutrality }
			divide_temp_variable = { success_influence_multiplier = 100 }
			multiply_variable = { success_factor_biggest = success_influence_multiplier }

			#storing biggest party
			set_temp_variable = { prevmax_temp = 0 }
			if = {
				limit = {
					has_variable = party_pop_array^14
					check_variable = { party_pop_array^14 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^14 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^15
					check_variable = { party_pop_array^15 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^15 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^18
					check_variable = { party_pop_array^18 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^18 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^16
					check_variable = { party_pop_array^16 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^16 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^13
					check_variable = { party_pop_array^13 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^13 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^19
					check_variable = { party_pop_array^19 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^19 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^17
					check_variable = { party_pop_array^17 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^17 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^12
					check_variable = { party_pop_array^12 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^12 }
			}

			#Set for highest value
			if = { limit = { check_variable = { prevmax_temp = party_pop_array^14 } }
				set_country_flag = set_Neutral_conservatism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^15 } }
				set_country_flag = set_oligarchism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^18 } }
				set_country_flag = set_neutral_Social
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^16 } }
				set_country_flag = set_Neutral_Libertarian
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^13 } }
				set_country_flag = set_Neutral_Autocracy
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^19 } }
				set_country_flag = set_Neutral_Communism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^17 } }
				set_country_flag = set_Neutral_Muslim_Brotherhood
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^12 } }
				set_country_flag = set_Neutral_green
			}
		}
		else_if = { limit = { event_target:influence_sender = { has_government = communism } }
			set_variable = { success_factor_biggest = party_popularity@communism }

			set_temp_variable = { success_influence_multiplier = influence_communism }
			divide_temp_variable = { success_influence_multiplier = 100 }
			multiply_variable = { success_factor_biggest = success_influence_multiplier }

			#storing biggest party
			set_temp_variable = { prevmax_temp = 0 }
			if = {
				limit = {
					has_variable = party_pop_array^4
					check_variable = { party_pop_array^4 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^4 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^6
					check_variable = { party_pop_array^6 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^6 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^7
					check_variable = { party_pop_array^7 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^7 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^9
					check_variable = { party_pop_array^9 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^9 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^8
					check_variable = { party_pop_array^8 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^8 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^5
					check_variable = { party_pop_array^5 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^5 }
			}

			#Set for highest value
			if = { limit = { check_variable = { prevmax_temp = party_pop_array^4 } }
				set_country_flag = set_Communist-State
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^6 } }
				set_country_flag = set_Conservative
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^7 } }
				set_country_flag = set_Autocracy
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^9 } }
				set_country_flag = set_Vilayat_e_Faqih
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^8 } }
				set_country_flag = set_Mod_Vilayat_e_Faqih
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^5 } }
				set_country_flag = set_anarchist_communism
			}
		}
		else_if = { limit = { event_target:influence_sender = { has_government = nationalist } }
			set_variable = { success_factor_biggest = party_popularity@nationalist }

			set_temp_variable = { success_influence_multiplier = influence_nationalist }
			divide_temp_variable = { success_influence_multiplier = 100 }
			multiply_variable = { success_factor_biggest = success_influence_multiplier }

			#storing biggest party
			set_temp_variable = { prevmax_temp = 0 }
			if = {
				limit = {
					has_variable = party_pop_array^22
					check_variable = { party_pop_array^22 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^22 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^21
					check_variable = { party_pop_array^21 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^21 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^20
					check_variable = { party_pop_array^20 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^20 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^23
					check_variable = { party_pop_array^23 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^23 }
			}
			#Set for highest value
			if = { limit = { check_variable = { prevmax_temp = party_pop_array^22 } }
				set_country_flag = set_Nat_Autocracy
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^21 } }
				set_country_flag = set_Nat_Fascism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^20 } }
				set_country_flag = set_Nat_Populism
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^23 } }
				set_country_flag = set_Monarchist
			}
		}
		else_if = { limit = { event_target:influence_sender = { has_government = fascism } }
			set_variable = { success_factor_biggest = party_popularity@fascism }

			set_temp_variable = { success_influence_multiplier = influence_fascism }
			divide_temp_variable = { success_influence_multiplier = 100 }
			multiply_variable = { success_factor_biggest = success_influence_multiplier }

			#storing biggest party
			set_temp_variable = { prevmax_temp = 0 }
			if = {
				limit = {
					has_variable = party_pop_array^10
					check_variable = { party_pop_array^10 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^10 }
			}
			if = {
				limit = {
					has_variable = party_pop_array^11
					check_variable = { party_pop_array^11 > prevmax_temp }
				}
				set_temp_variable = { prevmax_temp = party_pop_array^11 }
			}
			#Set for highest value
			if = { limit = { check_variable = { prevmax_temp = party_pop_array^10 } }
				set_country_flag = set_Kingdom
			}
			else_if = { limit = { check_variable = { prevmax_temp = party_pop_array^11 } }
				set_country_flag = set_Caliphate
			}
		}

		set_temp_variable = { influence_defense_modifier = 1 }
		add_to_temp_variable = { influence_defense_modifier = modifier@foreign_influence_defense_modifier }
		event_target:influence_sender = {
			add_to_temp_variable = { influence_defense_modifier = modifier@foreign_influence_modifier }
			add_to_temp_variable = { influence_defense_modifier = modifier@influence_coup_modifier }
		}
		multiply_variable = { success_factor_biggest = influence_defense_modifier }

		### Chance of civil war ###
		#Base chance is from the popularity of all other Outlooks except defending and attacking
		#More pluralistic -> higher chance of civil war
		set_variable = { civil_war_factor = stability }
		multiply_temp_variable = { civil_war_factor = -1 }
		add_to_temp_variable = { civil_war_factor = 1 }

		#Modify civil war chance based on the influence of "neutral" Outlooks
		set_temp_variable = { civil_war_influence_multiplier = 100 }
		if = {
			limit = {
				NOT = { has_government = democratic }
				NOT = { event_target:influence_sender = { has_government = democratic } }
			}
			add_to_temp_variable = { civil_war_influence_multiplier = influence_democratic }
		}
		if = {
			limit = {
				NOT = { has_government = neutrality }
				NOT = { event_target:influence_sender = { has_government = neutrality } }
			}
			add_to_temp_variable = { civil_war_influence_multiplier = influence_neutrality }
		}
		if = {
			limit = {
				NOT = { has_government = communism }
				NOT = { event_target:influence_sender = { has_government = communism } }
			}
			add_to_temp_variable = { civil_war_influence_multiplier = influence_communism }
		}
		if = {
			limit = {
				NOT = { has_government = nationalist }
				NOT = { event_target:influence_sender = { has_government = nationalist } }
			}
			add_to_temp_variable = { civil_war_influence_multiplier = influence_nationalist }
		}
		if = {
			limit = {
				NOT = { has_government = fascism }
				NOT = { event_target:influence_sender = { has_government = fascism } }
			}
			add_to_temp_variable = { civil_war_influence_multiplier = influence_fascism }
		}
		divide_temp_variable = { civil_war_influence_multiplier = 100 }
		multiply_variable = { civil_war_factor = civil_war_influence_multiplier }

		event_target:influence_sender = { country_event = { id = influence.5 } }
	}
}

# The Actual Coup Event
country_event = {
	id = influence.5
	title = influence.5.t
	desc = influence.5.d
	picture = GFX_politics_surveillence
	is_triggered_only = yes

	#target outlook - biggest party
	option = {
		name = influence.5.a
		log = "[GetDateText]: [This.GetName]: influence.5.a executed"
		add_political_power = -200

		add_threat = 2

		random_list = {
			#success
			var:FROM.success_factor_biggest = {
				custom_effect_tooltip = influence_coup_largest_success_TT
				#add tooltip

				FROM = {
					hidden_effect = {
						clear_array = ruling_party
						clear_array = gov_coalition_array

						#new gov democratic
						if = { limit = { has_country_flag = set_Western_Autocracy }
							add_to_array = { ruling_party = 0 }
							add_popularity = { ideology = democratic popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_conservatism }
							add_to_array = { ruling_party = 1 }
							add_popularity = { ideology = democratic popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_liberalism }
							add_to_array = { ruling_party = 2 }
							add_popularity = { ideology = democratic popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_socialism }
							add_to_array = { ruling_party = 3 }
							add_popularity = { ideology = democratic popularity = 0.2 }
						}

						#new gov communism
						else_if = { limit = { has_country_flag = set_Communist-State }
							add_to_array = { ruling_party = 4 }
							add_popularity = { ideology = communism popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_anarchist_communism }
							add_to_array = { ruling_party = 5 }
							add_popularity = { ideology = communism popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Conservative }
							add_to_array = { ruling_party = 6 }
							add_popularity = { ideology = communism popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Autocracy }
							add_to_array = { ruling_party = 7 }
							add_popularity = { ideology = communism popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Mod_Vilayat_e_Faqih }
							add_to_array = { ruling_party = 8 }
							add_popularity = { ideology = communism popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Vilayat_e_Faqih }
							add_to_array = { ruling_party = 9 }
							add_popularity = { ideology = communism popularity = 0.2 }
						}

						#new gov fascism
						else_if = { limit = { has_country_flag = set_Kingdom }
							add_to_array = { ruling_party = 10 }
							add_popularity = { ideology = fascism popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Caliphate }
							add_to_array = { ruling_party = 11 }
							add_popularity = { ideology = fascism popularity = 0.2 }
						}

						#new gov neutrality
						else_if = { limit = { has_country_flag = set_Neutral_Muslim_Brotherhood }
							add_to_array = { ruling_party = 12 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Neutral_Autocracy }
							add_to_array = { ruling_party = 13 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Neutral_conservatism }
							add_to_array = { ruling_party = 14 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_oligarchism }
							add_to_array = { ruling_party = 15 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Neutral_Libertarian }
							add_to_array = { ruling_party = 16 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Neutral_green }
							add_to_array = { ruling_party = 17 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_neutral_Social }
							add_to_array = { ruling_party = 18 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Neutral_Communism }
							add_to_array = { ruling_party = 19 }
							add_popularity = { ideology = neutrality popularity = 0.2 }
						}

						#new gov nationalist
						else_if = { limit = { has_country_flag = set_Nat_Populism }
							add_to_array = { ruling_party = 20 }
							add_popularity = { ideology = nationalist popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Nat_Fascism }
							add_to_array = { ruling_party = 21 }
							add_popularity = { ideology = nationalist popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Nat_Autocracy }
							add_to_array = { ruling_party = 22 }
							add_popularity = { ideology = nationalist popularity = 0.2 }
						}
						else_if = { limit = { has_country_flag = set_Monarchist }
							add_to_array = { ruling_party = 23 }
							add_popularity = { ideology = nationalist popularity = 0.2 }
						}
						set_leader = yes
						recalculate_party = yes
						hold_elections = yes

						add_opinion_modifier = { target = ROOT modifier = succeded_coup }
						news_event = { id = News_influence.3 }
					}
				}
				#add 20% to ROOT influence
				set_temp_variable = { percent_change = 10 }
				set_temp_variable = { tag_index = ROOT.id }
				set_temp_variable = { influence_target = FROM.id }
				change_influence_percentage = yes
				#add event to country and world
				hidden_effect = {
					every_country = {
						limit = { is_ai = no }
						news_event = { days = 1 id = News_influence.4 }
					}
				}
			}
			#discovered
			var:FROM.fail_factor_biggest = {
				custom_effect_tooltip = influence_coup_largest_discovered_TT

				FROM = {
					add_opinion_modifier = { target = ROOT modifier = failed_coup }
				}

				#remove a LOT of influence
				set_temp_variable = { percent_change = -15 }
				set_temp_variable = { tag_index = ROOT.id }
				set_temp_variable = { influence_target = FROM.id }
				change_influence_percentage = yes
				#add event to country and world
				hidden_effect = {
					every_country = {
						limit = { is_ai = no }
						news_event = { days = 1 id = News_influence.5 }
					}
				}
			}
			#civil_war
			var:FROM.civil_war_factor = {

				FROM = {
					#kill player influence
					for_loop_effect = {
						end = influence_array^num
						value = v
						if = {
							limit = {
								check_variable = { influence_array^v = ROOT }
							}
							set_variable = { current_influence = influence_array_val^v }
							remove_from_array = {
								array = influence_array
								index = v
							}
							remove_from_array = {
								array = influence_array_val
								index = v
							}
						}
					}
					#damage relations with original gov
					hidden_effect = {
						add_opinion_modifier = {
							target = ROOT
							modifier = failed_coup
						}
					}
					recalculate_influence = yes
				}

				#democratic
				if = {
					limit = {
						has_government = democratic
					}
					FROM = {
						start_civil_war = {
							ideology = democratic
							size = 0.5
						}
						#first setup some things for original tag
						hidden_effect = {
							add_popularity = {
								ideology = democratic
								popularity = -0.5
							}
						}
						recalculate_party = yes
						update_majority_threshold = yes

					}
					random_other_country = {
						limit = {
							original_tag = FROM
							has_government = democratic
						}

						start_politics_input = yes

						#new gov democratic
						if = {
							limit = { FROM = { has_country_flag = set_Communist-State } }
							set_country_flag = set_Communist-State
							add_to_array = { ruling_party = 0 }
							set_variable = { party_pop_array^0 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_anarchist_communism } }
							set_country_flag = set_anarchist_communism
							add_to_array = { ruling_party = 1 }
							set_variable = { party_pop_array^1 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Conservative } }
							set_country_flag = set_Conservative
							add_to_array = { ruling_party = 2 }
							set_variable = { party_pop_array^2 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Autocracy } }
							set_country_flag = set_Autocracy
							add_to_array = { ruling_party = 3 }
							set_variable = { party_pop_array^3 = 0.7 }
						}

						#New TAG so need to set some generic politics
						set_popularities = {
							democratic = 70
							communism = 10
							neutrality = 10
							fascism = 0
							nationalist = 10
						}
						set_politics = {
							ruling_party = democratic
							elections_allowed = no
						}
						hidden_effect = {
							startup_politics = yes
							set_leader = yes
							recalculate_party = yes
							hold_elections = yes
						}
						#influence transfer
						init_influence = yes
						set_variable = { domestic_influence_amount = FROM.current_influence }
						add_to_array = { influence_array = ROOT }
						add_to_array = { influence_array_val = FROM.current_influence }
						startup_influence = yes
					}
				}

				#communism
				if = {
					limit = {
						has_government = communism
					}
					FROM = {
						start_civil_war = {
							ideology = communism
							size = 0.5
						}
						#first setup some things for original tag
						hidden_effect = {
							add_popularity = {
								ideology = communism
								popularity = -0.5
							}
						}
						recalculate_party = yes
						update_majority_threshold = yes

					}
					random_other_country = {
						limit = {
							original_tag = FROM
							has_government = communism
						}

						start_politics_input = yes

						#new gov communism
						if = {
							limit = { FROM = { has_country_flag = set_Communist-State } }
							set_country_flag = set_Communist-State
							add_to_array = { ruling_party = 4 }
							set_variable = { party_pop_array^4 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_anarchist_communism } }
							set_country_flag = set_anarchist_communism
							add_to_array = { ruling_party = 5 }
							set_variable = { party_pop_array^5 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Conservative } }
							set_country_flag = set_Conservative
							add_to_array = { ruling_party = 6 }
							set_variable = { party_pop_array^6 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Autocracy } }
							set_country_flag = set_Autocracy
							add_to_array = { ruling_party = 7 }
							set_variable = { party_pop_array^7 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Mod_Vilayat_e_Faqih } }
							set_country_flag = set_Mod_Vilayat_e_Faqih
							add_to_array = { ruling_party = 8 }
							set_variable = { party_pop_array^8 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Vilayat_e_Faqih } }
							set_country_flag = set_Vilayat_e_Faqih
							add_to_array = { ruling_party = 9 }
							set_variable = { party_pop_array^9 = 0.7 }
						}
						#New TAG so need to set some generic politics
						set_popularities = {
							democratic = 10
							communism = 75
							neutrality = 5
							fascism = 0
							nationalist = 10
						}
						set_politics = {
							ruling_party = communism
							elections_allowed = no
						}
						hidden_effect = {
							startup_politics = yes
							set_leader = yes
							recalculate_party = yes
							hold_elections = yes
						}
						#influence transfer
						init_influence = yes
						set_variable = { domestic_influence_amount = FROM.current_influence }
						add_to_array = { influence_array = ROOT }
						add_to_array = { influence_array_val = FROM.current_influence }
						startup_influence = yes
					}
				}
				#fascism
				if = {
					limit = {
						has_government = fascism
					}
					FROM = {
						start_civil_war = {
							ideology = fascism
							size = 0.5
						}
						#first setup some things for original tag
						hidden_effect = {
							add_popularity = {
								ideology = fascism
								popularity = -0.5
							}
						}
						recalculate_party = yes
						update_majority_threshold = yes
					}
					random_other_country = {
						limit = {
							original_tag = FROM
							has_government = fascism
						}
						start_politics_input = yes
						#New gov fascism
						if = {
							limit = { FROM = { has_country_flag = set_Kingdom } }
							set_country_flag = set_Kingdom
							add_to_array = { ruling_party = 10 }
							set_variable = { party_pop_array^10 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Caliphate } }
							set_country_flag = set_Caliphate
							add_to_array = { ruling_party = 11 }
							set_variable = { party_pop_array^11 = 0.7 }
						}
						#New TAG so need to set some generic politics
						set_popularities = {
							democratic = 0
							communism = 5
							neutrality = 5
							fascism = 80
							nationalist = 10
						}
						set_politics = {
							ruling_party = fascism
							elections_allowed = no
						}
						hidden_effect = {
							startup_politics = yes
							set_leader = yes
							recalculate_party = yes
							hold_elections = yes
						}
						#influence transfer
						init_influence = yes
						set_variable = { domestic_influence_amount = FROM.current_influence }
						add_to_array = { influence_array = ROOT }
						add_to_array = { influence_array_val = FROM.current_influence }
						startup_influence = yes
					}
				}

				#neutrality
				if = {
					limit = {
						has_government = neutrality
					}
					FROM = {
						start_civil_war = {
							ideology = neutrality
							size = 0.5
						}
						#first setup some things for original tag
						hidden_effect = {
							add_popularity = {
								ideology = neutrality
								popularity = -0.5
							}
						}
						recalculate_party = yes
						update_majority_threshold = yes

					}
					random_other_country = {
						limit = {
							original_tag = FROM
							has_government = neutrality
						}

						start_politics_input = yes

						#new gov neutrality
						if = {
							limit = { FROM = { has_country_flag = set_Neutral_Muslim_Brotherhood } }
							set_country_flag = set_Neutral_Muslim_Brotherhood
							add_to_array = { ruling_party = 12 }
							set_variable = { party_pop_array^12 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Neutral_Autocracy } }
							set_country_flag = set_Neutral_Autocracy
							add_to_array = { ruling_party = 13 }
							set_variable = { party_pop_array^13 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Neutral_conservatism } }
							set_country_flag = set_Neutral_conservatism
							add_to_array = { ruling_party = 14 }
							set_variable = { party_pop_array^14 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_oligarchism } }
							set_country_flag = set_oligarchism
							add_to_array = { ruling_party = 15 }
							set_variable = { party_pop_array^15 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Neutral_Libertarian } }
							set_country_flag = set_Neutral_Libertarian
							add_to_array = { ruling_party = 16 }
							set_variable = { party_pop_array^16 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Neutral_green } }
							set_country_flag = set_Neutral_green
							add_to_array = { ruling_party = 17 }
							set_variable = { party_pop_array^17 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_neutral_Social } }
							set_country_flag = set_neutral_Social
							add_to_array = { ruling_party = 18 }
							set_variable = { party_pop_array^18 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Neutral_Communism } }
							set_country_flag = set_Neutral_Communism
							add_to_array = { ruling_party = 19 }
							set_variable = { party_pop_array^19 = 0.7 }
						}

						#New TAG so need to set some generic politics
						set_popularities = {
							democratic = 10
							communism = 10
							neutrality = 70
							fascism = 0
							nationalist = 10
						}
						set_politics = {
							ruling_party = neutrality
							elections_allowed = no
						}
						hidden_effect = {
							startup_politics = yes
							set_leader = yes
							recalculate_party = yes
							hold_elections = yes
						}
						#influence transfer
						init_influence = yes
						set_variable = { domestic_influence_amount = FROM.current_influence }
						add_to_array = { influence_array = ROOT }
						add_to_array = { influence_array_val = FROM.current_influence }
						startup_influence = yes
					}
				}

				#nationalist civil war
				if = {
					limit = {
						has_government = nationalist
					}
					FROM = {
						start_civil_war = {
							ideology = nationalist
							size = 0.5
						}
						#first setup some things for original tag
						hidden_effect = {
							add_popularity = {
								ideology = nationalist
								popularity = -0.2
							}
						}
						recalculate_party = yes
						update_majority_threshold = yes
					}
					random_other_country = {
						limit = {
							original_tag = FROM
							has_government = nationalist
						}

						start_politics_input = yes

						#new gov nationalist
						if = {
							limit = { FROM = { has_country_flag = set_Nat_Populism } }
							set_country_flag = set_Nat_Populism
							add_to_array = { ruling_party = 20 }
							set_variable = { party_pop_array^20 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Nat_Fascism } }
							set_country_flag = set_Nat_Fascism
							add_to_array = { ruling_party = 21 }
							set_variable = { party_pop_array^21 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Nat_Autocracy } }
							set_country_flag = set_Nat_Autocracy
							add_to_array = { ruling_party = 22 }
							set_variable = { party_pop_array^22 = 0.7 }
						}
						else_if = {
							limit = { FROM = { has_country_flag = set_Monarchist } }
							set_country_flag = set_Monarchist
							add_to_array = { ruling_party = 23 }
							set_variable = { party_pop_array^23 = 0.7 }
						}

						#New TAG so need to set some generic politics
						set_popularities = {
							democratic = 10
							communism = 10
							neutrality = 10
							fascism = 0
							nationalist = 70
						}
						set_politics = {
							ruling_party = nationalist
							elections_allowed = no
						}
						hidden_effect = {
							startup_politics = yes
							set_leader = yes
							recalculate_party = yes
							hold_elections = yes
						}
						#influence transfer
						init_influence = yes
						set_variable = { domestic_influence_amount = FROM.current_influence }
						add_to_array = { influence_array = ROOT }
						add_to_array = { influence_array_val = FROM.current_influence }
						startup_influence = yes
					}
				}
				#add event to country and world
				hidden_effect = {
					every_country = {
						limit = { is_ai = no }
						news_event = { id = News_influence.6 }
					}
				}
			}
		}
	}

	#abort planning
	option = {
		name = influence.5.c
		log = "[GetDateText]: [This.GetName]: influence.5.c executed"
		FROM = { remove_set_ideology_flag = yes }
	}
}


news_event = {
	id = News_influence.3
	title = News_influence.3.t
	desc = News_influence.3.d
	picture = GFX_news_crime_fighting

	is_triggered_only = yes

	immediate = {
	}

	option = {
		name = News_influence.3.a
		log = "[GetDateText]: [This.GetName]: News_influence.3.a executed"
	}
}

news_event = {
	id = News_influence.4
	title = News_influence.4.t
	desc = News_influence.4.d
	picture = GFX_news_crime_fighting

	is_triggered_only = yes

	immediate = {
	}

	option = {
		name = News_influence.4.a
		log = "[GetDateText]: [This.GetName]: News_influence.4.a executed"
	}
}

news_event = {
	id = News_influence.5
	title = News_influence.5.t
	desc = News_influence.5.d
	picture = GFX_news_crime_fighting

	is_triggered_only = yes

	immediate = {
	}

	option = {
		name = News_influence.5.a
		log = "[GetDateText]: [This.GetName]: News_influence.5.a executed"
	}
}

news_event = {
	id = News_influence.6
	title = News_influence.6.t
	desc = News_influence.6.d
	picture = GFX_news_crime_fighting

	is_triggered_only = yes

	immediate = {
	}

	option = {
		name = News_influence.6.a
		log = "[GetDateText]: [This.GetName]: News_influence.6.a executed"
	}
}

##Military Aid - NONAI Master Event
country_event = {
	id = influence.50
	immediate = {
		log = "[GetDateText]: [Root.GetName]: event influence.50"
		FROM = { #
			#save_event_target_as = military_aid_sender -- Unneeded event target
			country_event = { id = influence.51 } #Should get the military AID event to the ROOT tag
		}
	}
	title = "You shouldn't see this. REE DONT TRIGGER MY EVENTS"
	desc = "Why you be triggering my events?"
	hidden = yes
	is_triggered_only = yes
}

#Send Military Aid to [THIS.GetName]
country_event = {
	id = influence.51
	title = influence.51.t
	desc = influence.51.d
	picture = GFX_handgun
	is_triggered_only = yes

	#Consider the Military Offer
	option = {
		name = influence.51.a
		log = "[GetDateText]: [This.GetName]: influence.1.a executed"

		custom_effect_tooltip = influence.51.a_tt
		country_event = { id = influence.52 }

		ai_chance = {
			factor = 1
		}
	}

	option = {
		name = influence.51.b
		log = "[GetDateText]: [This.GetName]: influence.1.b executed"

		custom_effect_tooltip = influence.51.b_tt
		FROM = { ROOT = { clr_country_flag = recently_sent_military_aid@PREV } }
		ai_chance = {
			factor = 0
		}
	}
}

#What weapons do you want to send?
country_event = {
	id = influence.52
	title = influence.52.t
	desc = influence.52.d
	picture = GFX_handgun
	is_triggered_only = yes

	#Infantry Equipment - Shoots another event to "send" the equipment
	option = {
		name = influence.52.a
		trigger = {
			OR = {
				has_equipment = { Inf_equipment > 250 }
				has_equipment = { L_AT_Equipment > 10 }
				has_equipment = { AA_Equipment > 10 }
			}
		}
		log = "[GetDateText]: [This.GetName]: influence.52.a executed"
		set_country_flag = shipment_of_Inf_equipment
		if = {
			limit = { has_equipment = { Inf_equipment > 250 } }
			effect_tooltip = {
				FROM = {
					add_equipment_to_stockpile = {
						amount = -250
						type = Inf_equipment
						producer = PREV
					}
				}
				FROM.FROM = { #Should be the targeted influencing nation
					add_equipment_to_stockpile = {
						amount = 250
						type = Inf_equipment
						producer = FROM
					}
				}
			}
		}
		if = {
			limit = { has_equipment = { L_AT_Equipment > 10 } }
			effect_tooltip = {
				FROM = {
					add_equipment_to_stockpile = {
						amount = -10
						type = L_AT_Equipment
						producer = PREV
					}
				}
				FROM.FROM = { #Should be the targeted influencing nation
					add_equipment_to_stockpile = {
						amount = 10
						type = L_AT_Equipment
						producer = FROM
					}
				}
			}
		}
		if = {
			limit = { has_equipment = { AA_Equipment > 10 } }
			effect_tooltip = {
				FROM = {
					add_equipment_to_stockpile = {
						amount = -10
						type = AA_Equipment
						producer = PREV
					}
				}
				FROM.FROM = { #Should be the targeted influencing nation
					add_equipment_to_stockpile = {
						amount = 10
						type = AA_Equipment
						producer = FROM
					}
				}
			}
		}
		effect_tooltip = {
			set_temp_variable = { percent_change = 1.5 }
			set_temp_variable = { tag_index = ROOT.id }
			set_temp_variable = { influence_target = FROM.FROM.id }
			change_influence_percentage = yes
		}
		FROM.FROM = { #Targeted Influencer should recieve this
			country_event = { id = influence.53 } #Infantry Equipment
		}
	}

	#APC/IFV
	option = {
		name = influence.52.b
		trigger = {
			OR = {
				has_equipment = { apc_hull > 10 }
				has_equipment = { ifv_hull > 10 }
				has_equipment = { util_vehicle_equipment > 10 }
			}
		}
		log = "[GetDateText]: [This.GetName]: influence.52.b executed"
		set_country_flag = forwarding_light_armor_vehicles
		if = {
			limit = {
				has_equipment = { apc_hull > 10 }
			}
			effect_tooltip = {
				FROM = {
					add_equipment_to_stockpile = {
						amount = -10
						type = apc_hull
						producer = PREV
					}
				}
				FROM.FROM = { #Should be the targeted influencing nation
					add_equipment_to_stockpile = {
						amount = 10
						type = apc_hull
					}
				}
			}
		}
		if = {
			limit = {
				has_equipment = { ifv_hull > 10 }
			}
			effect_tooltip = {
				FROM = {
					add_equipment_to_stockpile = {
						amount = -10
						type = ifv_hull
						producer = PREV
					}
				}
				FROM.FROM = { #Should be the targeted influencing nation
					add_equipment_to_stockpile = {
						amount = 10
						type = ifv_hull
						producer = FROM
					}
				}
			}
		}
		if = {
			limit = {
				has_equipment = { util_vehicle_equipment > 10 }
			}
			effect_tooltip = {
				FROM = {
					add_equipment_to_stockpile = {
						amount = -10
						type = util_vehicle_equipment
						producer = PREV
					}
				}
				FROM.FROM = { #Should be the targeted influencing nation
					add_equipment_to_stockpile = {
						amount = 10
						type = util_vehicle_equipment
						producer = FROM
					}
				}
			}
		}
		effect_tooltip = {
			set_temp_variable = { percent_change = 2 }
			set_temp_variable = { tag_index = ROOT.id }
			set_temp_variable = { influence_target = FROM.FROM.id }
			change_influence_percentage = yes
		}
		FROM.FROM = { #Targeted Influencer should receive this
			country_event = { id = influence.53 } #Infantry Equipment
		}
	}

	option = {
		name = influence.52.c
		log = "[GetDateText]: [This.GetName]: influence.52.c executed"
		FROM.FROM = { ROOT = { clr_country_flag = recently_sent_military_aid@PREV } }
	}
}

#Receiver Event -- Basiclly haha I gain guns or light vehicles!
country_event = {
	id = influence.53
	title = influence.53.t
	desc = influence.53.d
	picture = GFX_handgun
	is_triggered_only = yes

	option = { #Accept if shipping guns
		name = influence.53.a
		trigger = {
			FROM = { has_country_flag = shipment_of_Inf_equipment }
		}
		log = "[GetDateText]: [This.GetName]: influence.53.a executed"
		FROM = { clr_country_flag = shipment_of_Inf_equipment }
		if = {
			limit = { FROM = { has_equipment = { Inf_equipment > 250 } } }
			FROM = {
				add_equipment_to_stockpile = {
					amount = -250
					type = Inf_equipment
					producer = PREV
				}
			}
			add_equipment_to_stockpile = {
				amount = 250
				type = Inf_equipment
				producer = FROM
			}
		}
		if = {
			limit = { FROM = { has_equipment = { L_AT_Equipment > 10 } } }
			FROM = {
				add_equipment_to_stockpile = {
					amount = -10
					type = L_AT_Equipment
					producer = PREV
				}
			}
			add_equipment_to_stockpile = {
				amount = 10
				type = L_AT_Equipment
				producer = FROM
			}
		}
		if = {
			limit = { FROM = { has_equipment = { AA_Equipment > 10 } } }
			FROM = {
				add_equipment_to_stockpile = {
					amount = -10
					type = AA_Equipment
					producer = PREV
				}
			}
			add_equipment_to_stockpile = {
				amount = 10
				type = AA_Equipment
				producer = FROM
			}
		}
		set_temp_variable = { percent_change = 1.5 }
		set_temp_variable = { tag_index = FROM.id }
		set_temp_variable = { influence_target = THIS.id }
		change_influence_percentage = yes

		FROM = { country_event = { id = diplomatic_response.1 } }
		ai_chance = {
			factor = 1
			modifier = { #Sacrifice Influence for free guns
				OR = {
					has_equipment = { Inf_equipment < 250 }
					has_equipment = { L_AT_Equipment < 10 }
					has_equipment = { AA_Equipment < 10 }
				}
				factor = 100
			}
			modifier = {
				factor = 0.01
				has_government = nationalist
			}
			modifier = {
				any_enemy_country = {
					num_of_factories > num_of_factories@ROOT
				}
				factor = 10
			}
			modifier = {
				factor = 10
				num_of_military_factories < 10
			}
			modifier = {
				has_war = yes
				factor = 1.5
			}
			modifier = {
				any_neighbor_country = {
					is_justifying_wargoal_against = THIS
				}
				factor = 2.0
			}
			modifier = {
				factor = 0.01
				has_government = fascism
				ROOT = { NOT = { has_government = fascism } }
			}
			modifier = {
				factor = 0.90
				has_opinion = { target = FROM value < 10 }
			}
			modifier = {
				factor = 0.80
				has_opinion = { target = FROM value < -10 }
			}
			modifier = {
				factor = 0.65
				has_opinion = { target = FROM value < -30 }
			}
			modifier = {
				factor = 0.40
				has_opinion = { target = FROM value < -60 }
			}
			modifier = {
				factor = 0.30
				has_opinion = { target = FROM value < -80 }
			}
			modifier = {
				factor = 0.10
				has_opinion = { target = FROM value < -90 }
			}
			modifier = {
				factor = 0
				has_opinion = { target = FROM value < -100 }
			}
		}
	}

	option = {
		name = influence.53.b
		trigger = {
			FROM = { has_country_flag = forwarding_light_armor_vehicles }
		}
		log = "[GetDateText]: [This.GetName]: influence.53.b executed"
		FROM = { clr_country_flag = forwarding_light_armor_vehicles }
		if = {
			limit = { FROM = { has_equipment = { apc_hull > 10 } } }
			FROM = {
				add_equipment_to_stockpile = {
					amount = -10
					type = apc_hull
					producer = PREV
				}
			}
			add_equipment_to_stockpile = {
				amount = 10
				type = apc_hull
				producer = FROM
			}
		}
		if = {
			limit = { FROM = { has_equipment = { ifv_hull > 10 } } }
			FROM = {
				add_equipment_to_stockpile = {
					amount = -10
					type = ifv_hull
					producer = PREV
				}
			}
			add_equipment_to_stockpile = {
				amount = 10
				type = ifv_hull
				producer = FROM
			}
		}
		if = {
			limit = { FROM = { has_equipment = { util_vehicle_equipment > 10 } } }
			FROM = {
				add_equipment_to_stockpile = {
					amount = -10
					type = util_vehicle_equipment
					producer = PREV
				}
			}
			add_equipment_to_stockpile = {
				amount = 10
				type = util_vehicle_equipment
				producer = FROM
			}
		}
		set_temp_variable = { percent_change = 2 }
		set_temp_variable = { tag_index = FROM.id }
		set_temp_variable = { influence_target = THIS.id }
		change_influence_percentage = yes

		FROM = { country_event = { id = diplomatic_response.1 } }
		ai_chance = {
			factor = 1
			modifier = { #Sacrifice Influence for free guns
				OR = {
					has_equipment = { Inf_equipment < 250 }
					has_equipment = { L_AT_Equipment < 10 }
					has_equipment = { AA_Equipment < 10 }
				}
				factor = 100
			}

			modifier = {
				factor = 0.01
				has_government = nationalist
			}
			modifier = {
				has_war = yes
				factor = 1.5
			}
			modifier = {
				any_neighbor_country = {
					is_justifying_wargoal_against = THIS
				}
				factor = 2.0
			}
			modifier = {
				factor = 1.10
				has_opinion = { target = FROM value < 10 }
			}
			modifier = {
				factor = 1.25
				has_opinion = { target = FROM value < -10 }
			}
			modifier = {
				factor = 1.35
				has_opinion = { target = FROM value < -30 }
			}
			modifier = {
				factor = 1.50
				has_opinion = { target = FROM value < -60 }
			}
			modifier = {
				factor = 1.60
				has_opinion = { target = FROM value < -80 }
			}
			modifier = {
				factor = 2.0
				has_opinion = { target = FROM value < -90 }
			}
			modifier = { #Never Accept the issue
				factor = 100
				has_opinion = { target = FROM value < -100 }
			}
		}
	}

	#Refusal
	option = {
		name = influence.53.c
		trigger = {
			FROM = {
				OR = {
					has_country_flag = shipment_of_Inf_equipment
					has_country_flag = forwarding_light_armor_vehicles
				}
			}
		}
		log = "[GetDateText]: [This.GetName]: influence.53.c executed"
		if = { limit = { NOT = { has_country_flag = refused_military_aid } }
			set_temp_variable = { percent_change = 2 }
			change_domestic_influence_percentage = yes
			set_country_flag = { flag = refused_military_aid value = 1 days = 180 }
			custom_effect_tooltip = domestic_influence_six_months_TT
		}
		else = {
			custom_effect_tooltip = domestic_timer_military_aid_tt
		}

		FROM = { country_event = { id = diplomatic_response.2 } }
		ai_chance = { #Should be more likely to reject if they don't need it
			factor = 5
			modifier = {
				factor = 100
				has_idea = no_military
			}
			modifier = {
				OR = {
					has_government = nationalist
					has_government = fascism
				}
				factor = 1.5
			}
		}
	}
}

# Auto-Influencer Report
country_event = {
	id = influence.54
	title = influence.54.t
	desc = influence.54.d
	is_triggered_only = yes
	immediate = {
		log = "[GetDateText]: [This.GetName]: influence.54 executed"
		for_each_loop = {
			array = auto_influence_array
			index = i
			value = v
			if = { limit = { check_variable = { i < nations_influenced } }
				var:auto_influence_array^i = {
					ROOT = {
						if = { limit = { has_global_flag = GAME_RULE_spread_influence_14_days }
							set_country_flag = { flag = spread_influence@PREV value = 1 days = 14 }
						}
						if = { limit = { has_global_flag = GAME_RULE_spread_influence_60_days }
							set_country_flag = { flag = spread_influence@PREV value = 1 days = 60 }
						}
						if = { limit = { has_global_flag = GAME_RULE_spread_influence_30_days }
							set_country_flag = { flag = spread_influence@PREV value = 1 days = 30 }
						}
					}
				}
			}
		}
		update_dirty_influence_var = yes
	}

	picture = GFX_politics_talks

	trigger = {
		NOT = { has_country_flag = disable_auto_influence_notification }
	}

	option = {
		name = influence.54.a
		log = "[GetDateText]: [This.GetName]: influence.54.a executed"

		clear_variable = nations_influenced
	}
}
